> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add project(s) and/or environment(s) to the Agent Allow list

> A request to add project(s) and/or environment(s)to the Agent Allow list.

NOTE: Whilst the Agent property `restrictedAccess` is set to false, any amendments to will not be enforced until `restrictedAccess` is set to true.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml patch /v1/agents/{agentId}/allowlist
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/agents/{agentId}/allowlist:
    patch:
      tags:
        - Agents
      summary: Add project(s) and/or environment(s) to the Agent Allow list
      description: >-
        A request to add project(s) and/or environment(s)to the Agent Allow
        list.


        NOTE: Whilst the Agent property `restrictedAccess` is set to false, any
        amendments to will not be enforced until `restrictedAccess` is set to
        true.
      operationId: addProjectToAgentAccessList
      parameters:
        - description: >-
            The ID of the agent to add the project(s) and/or environment(s) to
            for access
          in: path
          name: agentId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              Mixed projects:
                description: >-
                  An example request to add two projects: one with environments,
                  one without
                value:
                  projects:
                    3fa85f64-5717-4562-b3fc-2c963f66afa6:
                      environments:
                        - dev
                        - prod
                    1398aa31-af57-4a6a-9752-27c2e8556c3f: {}
              Project with environments:
                description: An example request to add a project with specific environments
                value:
                  projects:
                    3fa85f64-5717-4562-b3fc-2c963f66afa6:
                      environments:
                        - dev
                        - prod
              Project with no environments:
                description: >-
                  An example request to add a project with no specific
                  environments (empty object)
                value:
                  projects:
                    3fa85f64-5717-4562-b3fc-2c963f66afa6: {}
            schema:
              $ref: '#/components/schemas/UpdateAgentAccessRequest'
        required: true
      responses:
        '202':
          description: >-
            Project and/or environment successfully added to the Agent Allow
            list
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/bad-request
                  title: Bad request
                  status: 400
                  detail: Invalid request format. Please check your request body.
                  instance: /v1/agents/{agentId}/allowlist
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/forbidden
                  title: Forbidden
                  status: 403
                  detail: You do not have permission to access this resource.
                  instance: /v1/agents/{agentId}/allowlist
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/not-found
                  title: Not Found
                  status: 404
                  detail: None found
                  instance: /v1/agents/{agentId}/allowlist
          description: Agent not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/internal-server-error
                  title: Internal Server Error
                  status: 500
                  detail: Unexpected error occurred while processing the request.
                  instance: /v1/agents/{agentId}/allowlist
          description: Unexpected error occurred
components:
  schemas:
    UpdateAgentAccessRequest:
      type: object
      properties:
        projects:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ProjectDetails'
          description: >-
            The list of projects and associated environments to be added to the
            list the Agent is allowed to be scoped to. Each project should be
            provided as an object with the Project ID. The list of projects
            cannot be left empty.
          example:
            projects:
              3fa85f64-5717-4562-b3fc-2c963f66afa6:
                environments:
                  - dev
                  - prod
              1398aa31-af57-4a6a-9752-27c2e8556c3f: {}
      required:
        - projects
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    ProjectDetails:
      type: object
      properties:
        environments:
          type: array
          description: >-
            The list of environments that the agent can access within this
            project
          example:
            - dev
            - prod
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````